Name:           rfsam
Version:        0.1
Release:        1%{?dist}
Summary:        RF switch for the Fujitsu Siemens Amilo M 7400

Group:          Applications/System
License:        GPLv2
URL:            http://zwobbl.homelinux.net/
Source0:        http://zwobbl.de/pub/rfsam-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  kernel-headers
BuildRequires:  glibc-headers

ExclusiveArch: i386


%description
This is the first release of the RF switch software for the Fujitsu Siemens
Amilo M 7400 (and other notebooks) in userspace, so there is no need anymore
to get the module compiled after kernel upgrade


%prep
%setup -q -n %{name}
sed -i.cflags -e 's|-Wall -O2|$(CFLAGS)|' CMakeLists.txt

%build
export CFLAGS=$RPM_OPT_FLAGS
cmake .
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
sed -i -e 's|/usr/local|%{_prefix}|' cmake_install.cmake
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%{_sbindir}/*


%changelog
* Mon May 28 2007 kwizart < kwizart at gmail.com > - 0.1-1
- First Fedora Release
